<?php
include_once('connect.php');

$redirect = 'erpc_gp_parametros_list.php';
if(isset($_POST['adicionar']) || isset($_POST['editar'])){
    $id = $_POST['id'];
    $ds_chave = $_POST['ds_chave'];
    $ds_valor = $_POST['ds_valor'];
    $id_tipo_contrato = $_POST['id_tipo_contrato'];
    
    
    if(isset($_POST['adicionar'])){
        $sql = "Insert into erpc_gp_parametros (ds_chave, ds_valor, id_tipocontrato, st_ativo)
                    values ('$ds_chave', '$ds_valor', '$id_tipo_contrato', 1)";
    }elseif(isset($_POST['editar'])){
        $sql = "UPDATE erpc_gp_parametros SET    ds_chave   = '$ds_chave'
                                                ,ds_valor     = '$ds_valor'
                                                ,id_tipocontrato   = '$id_tipo_contrato'";
    }
    
}elseif(isset($_POST['remover'])){
    $id = $_POST['id'];
    $sql = "UPDATE erpc_gp_parametros set st_ativo = 0 where id = $id";
}

mysqli_query($conexao, $sql) or die(mysqli_error($conexao));

header("Location: $redirect");


?>